---
title: points
slug: Web/SVG/Attribute/points
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>points</code></strong> attribute defines a list of points. Each point is defined by a pair of number representing a X and a Y coordinate in the user coordinate system. If the attribute contains an odd number of coordinates, the last one will be ignored.</p>

<p>Two elements are using this attribute: {{SVGElement("polyline")}}, and {{SVGElement("polygon")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="-10 -10 220 120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- polyline is an open shape --&gt;
  &lt;polyline stroke="black" fill="none"
   points="50,0 21,90 98,35 2,35 79,90"/&gt;

  &lt;!-- polygon is a closed shape --&gt;
  &lt;polygon stroke="black" fill="none" transform="translate(100,0)"
   points="50,0 21,90 98,35 2,35 79,90"/&gt;

  &lt;!--
  It is usualy considered best practices to separate a X and Y
  coordinate with a comma and a group of coordinates by a space.
  It makes things more readable for human beings.
  --&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="polyline">polyline</h2>

<p>For {{SVGElement('polyline')}}, <code>points</code> defines a list of points, each representing a vertex of the line to be drawn. Each point is define by a X and Y coordinate in the user coordinate system.</p>

<p class="note"><strong>Note:</strong> A polyline is an open shape, meaning the last point is not connected to the first point.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>[ {{cssxref("number")}}+ ]#</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="-10 -10 120 120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- polyline is an open shape --&gt;
  &lt;polyline stroke="black" fill="none"
   points="50,0 21,90 98,35 2,35 79,90"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('polyline', '100%', 200)}}</p>

<h2 id="polygon">polygon</h2>

<p>For {{SVGElement('polygon')}}, <code>points</code> defines a list of points, each representing a vertex of the shape to be drawn. Each point is define by a X and Y coordinate in the user coordinate system.</p>

<p class="note"><strong>Note:</strong> A polygon is a closed shape, meaning the last point is connected to the first point.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>[ {{cssxref("number")}}+ ]#</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>none</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h3 id="Example_2">Example</h3>

<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="-10 -10 120 120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- polygon is an closed shape --&gt;
  &lt;polygon stroke="black" fill="none"
   points="50,0 21,90 98,35 2,35 79,90" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('polygon', '100%', 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#PolygonElementPointsAttribute", "points")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;polygon&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#PolylineElementPointsAttribute", "points")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;polyline&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#PolygonElementPointsAttribute", "points")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;polygon&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#PolylineElementPointsAttribute", "points")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;polyline&gt;</code></td>
  </tr>
 </tbody>
</table>
